#include <bits/stdc++.h>
using namespace std;

int main() {
    int n, a[100007], res=0, cur;
    cin>>n;
    for(int i=1; i<=n; i++){
        cin>>a[i];
    }
    for(int i=n; i>=1; i--){
        if(a[i]>=0){
            res+=a[i];
            cur=a[i];

        }
        for(int j=1; j<=i; j++){
            if(a[j]!=cur){
                a[j]-=1;
            }
        }
    }
    cout<<res;


}